###Runs functions for town, fortress, and city structures structures###
execute if entity @s[tag=nitGuardTower] run function nitk:recurs/guardtower_lookout
execute if entity @s[tag=nitJukebox] run function nitk:recurs/bard_jukebox
execute if entity @s[tag=nitCathedralWater] run function nitk:recurs/cathedral_water
execute if entity @s[tag=nitVisitor] run function nitk:recurs/town_square/visitor_info
execute if entity @s[tag=nitGhastBalloon] run function nitco:recurs/ghast_balloon
execute if entity @s[tag=nitSoulForge] run function nitco:recurs/soulforge
execute if entity @s[tag=nitHealWater] run function nitco:recurs/healing_water
execute if entity @s[tag=nitPurehearth] run function nitco:recurs/purehearth
execute if entity @s[tag=nitObPylon] run function nitco:recurs/ob_pylon
execute if entity @s[tag=nitInfLava] run function nitref:recurs/infinite_lava
execute if entity @s[tag=nitSlowFall] run function nitref:recurs/slowfall

###Runs the special functions for some natural structures###
execute if entity @s[tag=nitHaroldCage] run function nitk:special/cage_cured
execute if entity @s[tag=nitGhastAttack,y=170,dy=200] run data modify entity @s Motion[1] set value -1.2
execute if entity @s[tag=nitAncientBuilder] run function nitco:special/withermaw_hold

###Keeps certain special items and resource drops alive###
execute if entity @s[tag=nitGApple] run data merge entity @e[type=minecraft:item,nbt={Item:{id:"minecraft:golden_apple"}},distance=..2,limit=1] {Age:10}
execute if entity @s[tag=nitEndermollusk] run data merge entity @e[type=minecraft:item,nbt={Item:{id:"minecraft:ender_pearl"}},distance=..4,limit=1] {Age:10}

###Performs checks for the invasion progress, then runs appropriate functions###
execute if entity @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=1}] run function nitref:invasion/obelisks
execute if entity @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=2}] unless entity @e[tag=nitInvadeGeneral] run function nitref:invasion/update_progress
execute if entity @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=3}] run function nitref:invasion/obelisks
execute if entity @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=4}] unless entity @e[tag=nitInvadeGeneral] run function nitref:invasion/update_progress
execute if entity @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=5}] run function nitref:invasion/obelisks
execute if entity @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=6}] unless entity @e[tag=nitInvadeGeneral] run function nitref:invasion/update_progress
execute if entity @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=7}] run function nitref:invasion/portals
execute if entity @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=17}] run function nitref:invasion/drill
execute if entity @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=18}] unless entity @e[tag=nitInvadeGeneral] run function nitref:invasion/update_progress
execute if entity @s[tag=nitRWither] if entity @a[scores={nitInvadeProg=19}] run function nitref:invasion/wither