###Builds the upper fortress platform. Directional###
execute if entity @s[tag=nitSiteEast] run setblock ~ ~1 ~ minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:1,mode:"LOAD",posY:-7,sizeX:15,posZ:-7,integrity:1.0f,name:"nitco:fortress/strider",sizeY:32,sizeZ:15} replace
execute if entity @s[tag=nitSiteEast] run setblock ~ ~2 ~ minecraft:redstone_block

execute if entity @s[tag=nitSiteWest] run setblock ~ ~1 ~ minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:-15,mode:"LOAD",posY:-7,sizeX:15,posZ:-7,integrity:1.0f,name:"nitco:fortress/strider",sizeY:32,sizeZ:15} replace
execute if entity @s[tag=nitSiteWest] run setblock ~ ~2 ~ minecraft:redstone_block

execute if entity @s[tag=nitSiteNorth] run setblock ~ ~1 ~ minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:-7,mode:"LOAD",posY:-7,sizeX:15,posZ:-15,integrity:1.0f,name:"nitco:fortress/strider",sizeY:32,sizeZ:15} replace
execute if entity @s[tag=nitSiteNorth] run setblock ~ ~2 ~ minecraft:redstone_block

execute if entity @s[tag=nitSiteSouth] run setblock ~ ~1 ~ minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:-7,mode:"LOAD",posY:-7,sizeX:15,posZ:1,integrity:1.0f,name:"nitco:fortress/strider",sizeY:32,sizeZ:15} replace
execute if entity @s[tag=nitSiteSouth] run setblock ~ ~2 ~ minecraft:redstone_block

###Performs standard new site check, then removes the standard support nitPillar###
function nitco:siteplanner/new_sites_check
execute if entity @s[tag=nitSiteEast] run fill ~6 ~-6 ~-2 ~10 ~-6 ~2 minecraft:air
execute if entity @s[tag=nitSiteWest] run fill ~-6 ~-6 ~-2 ~-10 ~-6 ~2 minecraft:air
execute if entity @s[tag=nitSiteNorth] run fill ~-2 ~-6 ~-6 ~2 ~-6 ~-10 minecraft:air
execute if entity @s[tag=nitSiteSouth] run fill ~-2 ~-6 ~6 ~2 ~-6 ~10 minecraft:air

###Updates progressive advancement###
advancement grant @a[distance=..20] only nitco:nitco/ach5.2 build-strider

###Replaces nitPillars from new_sites_check with air and chains, then builds lower dock. Directional###
execute if entity @s[tag=nitSiteEast] run setblock ~9 ~-6 ~1 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 40 ~ minecraft:chain"} replace
execute if entity @s[tag=nitSiteEast] run setblock ~9 ~-6 ~-1 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 40 ~ minecraft:chain"} replace
execute if entity @s[tag=nitSiteEast] run setblock ~7 ~-6 ~1 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 40 ~ minecraft:chain"} replace
execute if entity @s[tag=nitSiteEast] run setblock ~7 ~-6 ~-1 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 40 ~ minecraft:chain"} replace
execute if entity @s[tag=nitSiteEast] run setblock ~ 32 ~ minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:1,mode:"LOAD",posY:-1,sizeX:15,posZ:-7,integrity:1.0f,name:"nitco:fortress/strider_dock",sizeY:32,sizeZ:15} replace
execute if entity @s[tag=nitSiteEast] run setblock ~ 33 ~ minecraft:redstone_block
execute if entity @s[tag=nitSiteEast] run fill ~ 32 ~ ~ 33 ~ air

execute if entity @s[tag=nitSiteWest] run setblock ~-9 ~-6 ~1 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 40 ~ minecraft:chain"} replace
execute if entity @s[tag=nitSiteWest] run setblock ~-9 ~-6 ~-1 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 40 ~ minecraft:chain"} replace
execute if entity @s[tag=nitSiteWest] run setblock ~-7 ~-6 ~1 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 40 ~ minecraft:chain"} replace
execute if entity @s[tag=nitSiteWest] run setblock ~-7 ~-6 ~-1 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 40 ~ minecraft:chain"} replace
execute if entity @s[tag=nitSiteWest] run setblock ~ 32 ~ minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:-15,mode:"LOAD",posY:-1,sizeX:15,posZ:-7,integrity:1.0f,name:"nitco:fortress/strider_dock",sizeY:32,sizeZ:15} replace
execute if entity @s[tag=nitSiteWest] run setblock ~ 33 ~ minecraft:redstone_block
execute if entity @s[tag=nitSiteWest] run fill ~ 32 ~ ~ 33 ~ air

execute if entity @s[tag=nitSiteNorth] run setblock ~1 ~-6 ~-9 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 40 ~ minecraft:chain"} replace
execute if entity @s[tag=nitSiteNorth] run setblock ~-1 ~-6 ~-9 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 40 ~ minecraft:chain"} replace
execute if entity @s[tag=nitSiteNorth] run setblock ~1 ~-6 ~-7 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 40 ~ minecraft:chain"} replace
execute if entity @s[tag=nitSiteNorth] run setblock ~-1 ~-6 ~-7 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 40 ~ minecraft:chain"} replace
execute if entity @s[tag=nitSiteNorth] run setblock ~ 32 ~ minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:-7,mode:"LOAD",posY:-1,sizeX:15,posZ:-15,integrity:1.0f,name:"nitco:fortress/strider_dock",sizeY:32,sizeZ:15} replace
execute if entity @s[tag=nitSiteNorth] run setblock ~ 33 ~ minecraft:redstone_block
execute if entity @s[tag=nitSiteNorth] run fill ~ 32 ~ ~ 33 ~ air

execute if entity @s[tag=nitSiteSouth] run setblock ~1 ~-6 ~9 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 40 ~ minecraft:chain"} replace
execute if entity @s[tag=nitSiteSouth] run setblock ~-1 ~-6 ~9 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 40 ~ minecraft:chain"} replace
execute if entity @s[tag=nitSiteSouth] run setblock ~1 ~-6 ~7 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 40 ~ minecraft:chain"} replace
execute if entity @s[tag=nitSiteSouth] run setblock ~-1 ~-6 ~7 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 40 ~ minecraft:chain"} replace
execute if entity @s[tag=nitSiteSouth] run setblock ~ 32 ~ minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:-7,mode:"LOAD",posY:-1,sizeX:15,posZ:1,integrity:1.0f,name:"nitco:fortress/strider_dock",sizeY:32,sizeZ:15} replace
execute if entity @s[tag=nitSiteSouth] run setblock ~ 33 ~ minecraft:redstone_block
execute if entity @s[tag=nitSiteSouth] run fill ~ 32 ~ ~ 33 ~ air