###Performs once-per-day functions###
execute store result score $dayTime nitResourceTime run time query daytime
execute if entity @s[tag=nitTownPlanner] if score $dayTime nitResourceTime matches 6000 run function nitk:debug/restore_town_planner
execute if entity @s[tag=nitCitizen] if score $dayTime nitResourceTime matches 6000 run function nitk:recurs/kingdom_resources
execute if entity @s[tag=nitCitizen] if score $dayTime nitResourceTime matches 6000 run function nitk:recurs/castle_taxes
execute if entity @s[tag=nitResourceChest] if score $dayTime nitResourceTime matches 6000 run function nitk:recurs/chests_daily
execute if entity @s[tag=nitLibrarian] if score $dayTime nitResourceTime matches 6000 run function nitk:recurs/library_shuffle_loot
execute if entity @s[tag=nitFestival] if score $dayTime nitResourceTime matches 100 run function nitk:recurs/festival
execute if entity @s[tag=nitTownSquare] if score $dayTime nitResourceTime matches 120 run function nitk:recurs/town_square/visitor_check
execute if entity @s[tag=nitTownSquare,scores={nitResourceSpawn=1..}] if score $dayTime nitResourceTime matches 12500 run function nitk:recurs/town_square/visitor_check
execute if entity @s[tag=nitDenizen] if score $dayTime nitResourceTime matches 6000 run function nitco:recurs/fortress_resources
execute if entity @s[tag=nitBlazeReactor] if score $dayTime nitResourceTime matches 6000 run function nitco:recurs/blaze_resource
execute if entity @s[tag=nitEndizen] if score $dayTime nitResourceTime matches 6000 run function nitref:recurs/city_resources
execute if entity @s[tag=nitGApple] if score $dayTime nitResourceTime matches 6000 run function nitref:recurs/gold_apple_tree
execute if entity @s[tag=nitEndermollusk] if score $dayTime nitResourceTime matches 6000 run function nitref:recurs/oyster_pool
execute if entity @s[tag=nitPhantom] if score $dayTime nitResourceTime matches 6000 run function nitref:recurs/phantom_aviary

###Kills destroyed siteplanners###
execute if entity @s[tag=nitKSitePlanner] run function nitk:siteplanner_kill
execute if entity @s[tag=nitKCastlePlanner] run function nitk:siteplanner_kill
execute if entity @s[tag=nitKRailPlanner] run function nitk:siteplanner_kill
execute if entity @s[tag=nitCSitePlanner] run function nitk:siteplanner_kill
execute if entity @s[tag=nitCKeepPlanner] run function nitk:siteplanner_kill
execute if entity @s[tag=nitPortalPlanner] run function nitk:siteplanner_kill
execute if entity @s[tag=nitRSitePlanner] run function nitk:siteplanner_kill

###Performs functions for some town, fortress, and city structures###
execute if entity @s[tag=nitPowerElectricity] facing entity @e[tag=nitPowerElectricity,sort=furthest,limit=1] feet run function nitk:recurs/electricity_cosmetic
execute if entity @s[tag=nitRaid] run function nitk:recurs/town_square/raid_clock
execute if entity @s[tag=nitTimeAdd] run function nitk:recurs/stardial_add
execute if entity @s[tag=nitTimeSub] run function nitk:recurs/stardial_sub
execute if entity @s[tag=nitMagicFarm] run function nitco:recurs/magic_farm
execute if entity @s[tag=nitEndstoneGen] run function nitref:recurs/endstone_generator
execute if entity @s[tag=nitGCarrot] run function nitref:recurs/gold_carrot_farm

###Runs the special functions for some natural structures###
execute if entity @s[tag=nitTyrantEntity,predicate=nitk:in_overworld] unless entity @p[distance=..30] run particle dust 0.514 0.004 0.004 1 ~ ~30 ~ 0.3 30 0.3 0 100 force
execute if entity @s[tag=nitHellFactory] run function nitco:special/factory_wither
execute if entity @s[tag=nitBoxMarker,scores={nitBoxProg=..6}] unless block ~ ~ ~ minecraft:trapped_chest run function nitco:special/paradox_box/box_reset

###Alters the town planner and makes him sparkle, revealing new End recipes###
execute if entity @s[tag=nitKTP] run function nitref:planner_update

###Performs checks for the portal banners used during invasion###
execute if entity @s[tag=nitInvasionPortal] if entity @e[type=minecraft:arrow,distance=..1] run function nitref:invasion/portal_explode