execute if entity @s[tag=nitSiteEast] positioned ~16 ~ ~-7 unless entity @e[tag=nitSite,dx=15,y=-64,dy=312,dz=15] run tag @s add nitLargeSite
execute if entity @s[tag=nitSiteWest] positioned ~-30 ~ ~-7 unless entity @e[tag=nitSite,dx=15,y=-64,dy=312,dz=15] run tag @s add nitLargeSite
execute if entity @s[tag=nitSiteNorth] positioned ~-7 ~ ~-30 unless entity @e[tag=nitSite,dx=15,y=-64,dy=312,dz=15] run tag @s add nitLargeSite
execute if entity @s[tag=nitSiteSouth] positioned ~-7 ~ ~16 unless entity @e[tag=nitSite,dx=15,y=-64,dy=312,dz=15] run tag @s add nitLargeSite

execute if entity @s[tag=nitSiteEast,tag=nitLargeSite] run setblock ~ ~1 ~ minecraft:structure_block{ignoreEntities:0b,rotation:"CLOCKWISE_180",posX:30,mode:"LOAD",posY:-4,posZ:7,integrity:1.0f,name:"nitk:town/railway"} replace
execute if entity @s[tag=nitSiteEast,tag=nitLargeSite] run setblock ~ ~2 ~ minecraft:redstone_block

execute if entity @s[tag=nitSiteWest,tag=nitLargeSite] run setblock ~ ~1 ~ minecraft:structure_block{ignoreEntities:0b,rotation:"NONE",posX:-30,mode:"LOAD",posY:-4,posZ:-7,integrity:1.0f,name:"nitk:town/railway"} replace
execute if entity @s[tag=nitSiteWest,tag=nitLargeSite] run setblock ~ ~2 ~ minecraft:redstone_block

execute if entity @s[tag=nitSiteNorth,tag=nitLargeSite] run setblock ~ ~1 ~ minecraft:structure_block{ignoreEntities:0b,rotation:"CLOCKWISE_90",posX:7,mode:"LOAD",posY:-4,sizeX:15,posZ:-30,integrity:1.0f,name:"nitk:town/railway",sizeY:32,sizeZ:15} replace
execute if entity @s[tag=nitSiteNorth,tag=nitLargeSite] run setblock ~ ~2 ~ minecraft:redstone_block

execute if entity @s[tag=nitSiteSouth,tag=nitLargeSite] run setblock ~ ~1 ~ minecraft:structure_block{ignoreEntities:0b,rotation:"COUNTERCLOCKWISE_90",posX:-7,mode:"LOAD",posY:-4,posZ:30,integrity:1.0f,name:"nitk:town/railway",sizeY:32,sizeZ:15} replace
execute if entity @s[tag=nitSiteSouth,tag=nitLargeSite] run setblock ~ ~2 ~ minecraft:redstone_block

execute if entity @s[tag=nitLargeSite] run function nitk:siteplanner/new_rails_check
execute if entity @s[tag=nitSiteEast,tag=nitLargeSite] positioned ~15 ~ ~ run function nitk:siteplanner/new_sites_check
execute if entity @s[tag=nitSiteWest,tag=nitLargeSite] positioned ~-15 ~ ~ run function nitk:siteplanner/new_sites_check
execute if entity @s[tag=nitSiteNorth,tag=nitLargeSite] positioned ~ ~ ~-15 run function nitk:siteplanner/new_sites_check
execute if entity @s[tag=nitSiteSouth,tag=nitLargeSite] positioned ~ ~ ~15 run function nitk:siteplanner/new_sites_check
execute if entity @s[tag=nitLargeSite] run function nitk:siteplanner/attacks_check
execute if entity @s[tag=nitLargeSite] run advancement grant @a[distance=..20] only nitk:nitk/ach4.2 build-railway


execute if entity @s[tag=!nitLargeSite] run tellraw @a[tag=!global.ignore.gui,distance=..20] [{"text":"[۩]","color":"green","bold":true},{"text":": ","color":"white","bold":false},{"text":"Not enough room for structure at this site.","color":"white","bold":false}]

###Summons the town planner and prepares Conductor recipes###
execute as @e[tag=nitTownPlanner] at @s run summon villager ~ ~ ~ {VillagerData:{profession:cartographer,level:4,type:plains},Invulnerable:1,PersistenceRequired:1,NoAI:1,CustomName:"\"Town Planner\"",Offers:{Recipes:[{buy:{id:"minecraft:feather",Count:1},sell:{id:"minecraft:written_book",Count:1},maxUses:9999999},{buy:{id:gold_ingot,Count:4},sell:{id:"minecraft:paper",Count:1b,tag:{HideFlags:1,display:{Lore:['{"text":"The final ingredient"}','{"text":"in new town structures."}'],Name:'{"text":"Building Permit"}'},Enchantments:[{lvl:0,id:"minecraft:protection"}]}},maxUses:9999999}]},Tags:[nitCitizen,nitKTP,nitEntity,global.ignore,nitKTPnew,nitKTPinformed]}
scoreboard players operation @e[tag=nitKTP,limit=1,sort=nearest] nitID = @e[tag=nitConductor,limit=1,sort=nearest] nitID

execute if entity @s[tag=nitLargeSite] run function nitk:debug/update_all
execute if entity @s[tag=nitLargeSite] run kill @e[tag=nitTownPlanner]